@import '../../../../scss/variables.scss';
@import '../../../../../node_modules/bulma/sass/utilities/all';


.section {
  text-align: center;
  padding-bottom: 3rem;
}
.page-header-container {
  background-color: white;
  padding: 0 1.25rem 0 1.25rem;
}

.posts {
  flex-grow: 1;
  padding-top:1rem;
  background: linear-gradient(to bottom, $grey-background-color, #dedede);
  display: flex;

  justify-content: center;

  .post-container {
    width: 100%;
    margin-bottom: 1rem;
    // Make the icon go behind in some screen width when menu is pushed.
    z-index: 3;

    @media screen and (min-width: $tablet) {
      width: 30.5rem;
    }

    @media screen and (min-width: $desktop) {
      width: unset;
      display: grid;
      grid-template-rows: auto;
      grid-column-gap: 1.5rem;
      grid-template-columns: repeat(3, 17.5rem);
    }

    @media screen and (min-width: $fullhd) {
      grid-template-columns: repeat(3, 22.5rem);
    }
  }

  .posts-header {
    grid-row: 1;
    grid-column: 1 / span 3;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;

    @media screen and (min-width: $desktop) {
      margin-bottom: 0;
    }
  }

  .posts-title {
    @media screen and (min-width: $desktop) {
      text-align: left;
    }

    span {
      font-size: 1.5rem;
      line-height: 1.4;
      font-weight: 600;
    }
  }

  .posts-all-news {
    @media screen and (min-width: $desktop) {
      text-align: right;
    }

    button {
      height: 2.75rem;
      width: 7.625rem;
      vertical-align: middle;
    }

    span {
      font-size: 0.625rem;
      line-height: 1;
    }
  }

  .post-item {
    margin: auto;
    margin-bottom: 2rem;

    @media screen and (min-width: $desktop) {
      width: unset;
      max-height: 15rem;
      grid-row: 2;
    }

    color: $brand-color;

    a {
      display: flex;
      flex-direction: column;
      height: 100%;

      &:hover {
        text-decoration: none;
      }

      @media screen and (max-width: $tablet) {
        margin:0.5rem;
      }
    }

    .post-image {
      min-height: 7.5rem;
      width: 100%;
      background-position: center;
      background-size: cover;
      background-repeat: no-repeat;
      border-radius: 0.25rem 0.25rem 0 0;
      filter: none;
      transition: filter 0.5s ease-in-out;
    }

    .post-description {
      flex-grow: 1;
      background-color: #ffff;
      border-radius: 0 0 0.25rem 0.25rem;
      padding: 1rem;

      @media screen and (min-width: $desktop) {
        min-height: 7rem;
      }

      .post-description-date {
        margin-bottom: 0.5rem;
        font-size: 0.75rem;
        text-transform: uppercase;
        color: $grey-dark-color;
        line-height: 1;
      }

      .post-description-title {
        font-size: 1.125rem;
        font-weight: bold;
      }
    }

    a:hover .post-description-title {
      text-decoration: underline;
    }

    &:hover {
      .post-image {
        filter: grayscale(100%);
      }
    }
  }
}

.pagination-bottom {
  clear:both;
  display: flex;
  grid-column: 1/span 3;
  justify-content: center;
}



/* .posts {
  background-color: $grey-background-color;

  .item {
    padding: 1rem 1rem;
    color: $brand-color;

    img {
      max-height: 10rem;
      filter: grayscale(100%);
      transition: filter 0.5s ease-in-out;
    }

    a {
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
    }

    a:hover {
      text-decoration: none;
      color: $brand-color;
    }

    &:hover {
      background-color: rgb(236, 244, 247);

      h3 {
        color: $tomato-color;
      }

      img {
        filter: grayscale(0);
      }
    }
  }
}
 */
